spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    max-wait: 60000
    time-between-eviction-runs-millis: 60000
    initial-size: 10
    min-idle: 10
    max-active: 20
    min-evictable-idle-time-millis: 600000
    #    max-evictable-idle-time-millis: 900000
    test-on-borrow: false
    test-on-return: false
    test-while-idle: true
    keep-alive: true
    #    url: jdbc:mysql://192.168.0.13:3306/elab_db?useUnicode=true&characterEncoding=gbk&zeroDateTimeBehavior
    #    username: root
    #    password: elab@123
    url: jdbc:mysql://106.14.4.198:3306/jay_monitor?useUnicode=true&characterEncoding=gbk&zeroDateTimeBehavior
    username: jay_monitor
    password: jayzhou
  oss:
    access-key-id: LTAImNZed054h0YV
    access-key-secret: 8hmhlhiQ2ikmVeLKujwMNWsktFpSzm
    endpoint: https://oss-cn-shanghai.aliyuncs.com
    default-bucket-name: linux-data
    default-bucket-path: alert/image  # 注意不要/开头
  alert:
    enable: true
    alert-type:
      DingDing:
        url: https://oapi.dingtalk.com/robot/send?access_token=c2d694e28fd5de8c0b4f42be2e253bb3e4ef1fbb7d589ac377015e738713b995
    alert-rule-config-map:
      URL:
        max-time: 5000
        status-list: [ 500,503,504 ]
      MQ:
        max-time: 1000
        status-list: [ -1 ]
    log-monitor-url: http://101.231.166.56:2281/cat/r/m/
    server-domain: http://127.0.0.1:5800
    console-url: ${spring.alert.server-domain}/index.html
    server-log-console: ${spring.alert.server-domain}/api/log/console
elasticsearch:
  host: 127.0.0.1:9200
  enable-env-prefix: true
  max_connect_total: 30
  max_connect_per_route: 30
  connection_request_timeout_millis: 2000
  socket_timeout_millis: 30000
  connect_timeout_millis: 2000
logging:
  level:
    com.jay.monitor.data.server: DEBUG